Skip to content
Developer

BaseDataSelfService

Customer portal3 EndpointsCustomer / BaseDataSelfService

Returns a self signup token + possible membership items

GET/api/cp/signup/unified_start/{mode}

Path parameters

moderequiredstring

Query parameters

searchStringstringtext to search for in the list
orderFieldNamestringname of the order field
orderFieldSortstringsorting modeAllowed: DESCASC
pageintegerpage of the list
pageSizeintegernumber of entries for each page
withMaxPageNumberstringreturns the number of pages available as a header if this is set

Responses

200Returns a self signup token + possible membership itemsSimpleDynamicResponse

Request
curl --request GET \
  --url https://your-instance.iw-erp.de/api/cp/signup/unified_start/42 \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
{}

Returns the full profile of the current user with billing account, tickets, bookings

GET/api/cp/self_service/unified_profile/{mode}

Path parameters

moderequiredstring

Query parameters

searchStringstringtext to search for in the list
orderFieldNamestringname of the order field
orderFieldSortstringsorting modeAllowed: DESCASC
pageintegerpage of the list
pageSizeintegernumber of entries for each page
withMaxPageNumberstringreturns the number of pages available as a header if this is set

Responses

200Returns the full profile of the current user with billing account, tickets, bookingsSimpleDynamicResponse

Request
curl --request GET \
  --url https://your-instance.iw-erp.de/api/cp/self_service/unified_profile/42 \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
{}

This method will get all Attachment Objects attached to one of the CRMPersons the current customer has access to.

GET/api/cp/self_service/attachments

Query parameters

searchStringstringtext to search for in the list
orderFieldNamestringname of the order field
orderFieldSortstringsorting modeAllowed: DESCASC
pageintegerpage of the list
pageSizeintegernumber of entries for each page
withMaxPageNumberstringreturns the number of pages available as a header if this is set
personIdintegerIf set, only attachments for this CRMPerson are returned (must be in the list of allowed persons).

Responses

default

Request
curl --request GET \
  --url https://your-instance.iw-erp.de/api/cp/self_service/attachments \
  --header 'x-iw-jwt-token: <TOKEN>'